package com.yiqi.common.utils;

import com.yiqi.common.enums.CodeEnum;
import com.yiqi.common.enums.IntegerCodeEnum;

public class EnumUtils {

    public static <T extends CodeEnum>T getEnumByType(String code, Class<T> enumClass){
        for(T t:enumClass.getEnumConstants()){
            if(t.getCode().equals(code)){
                return t;
            }
        }
        return null;
    }

    public static <T extends IntegerCodeEnum>T getIntEnumByType(int code, Class<T> enumClass){
        for(T t:enumClass.getEnumConstants()){
            if(t.getCode() == code){
                return t;
            }
        }
        return null;
    }


}
